#ifndef _TIMER_H
#define _TIMER_H

#include <stdint.h>

/** @file
 * @brief Интерфейс оборудования для управления таймером.
 */

/**
 * @brief Инициализация оборудования.
 *
 * Должна выполняться перед первым использованием таймера.
 */
void Timer_init(void);

/**
 * @brief Запуск таймера для отсчета заданного интервала.
 *
 * @param[in] interval Задает интервал (в миллисекундах), который необходимо отмерить.
 * После запуска приложение может проверить, истек ли интервал, посредством вызова Timer_isNotElapsed().
 */
void Timer_start(uint16_t interval);

/**
 * @brief Признак, что запущенный вызовом Timer_start() интервал еще не истек.
 */
_Bool Timer_isNotElapsed(void);

#endif // _TIMER_H
